public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/lmms/
Date: Tue, 26 Sep 2017 00:54:20 +0000 (UTC)	[thread overview]
Message-ID: <1506387013.24fbf89366fd2cd994e6ca46b58565783d8b0199.asturm@gentoo> (raw)

commit:     24fbf89366fd2cd994e6ca46b58565783d8b0199
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 26 00:44:35 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Sep 26 00:50:13 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24fbf893

media-sound/lmms: Drop USE=qt5 and make it unconditional

- Drop unused eutils.eclass
- Sort DEPENDs
- Remove duplicate KEYWORDS

Gentoo-bug: 631906
Package-Manager: Portage-2.3.10, Repoman-2.3.3

 media-sound/lmms/lmms-1.1.90.ebuild | 54 ++++++++++++++++++-------------------
 media-sound/lmms/lmms-9999.ebuild   | 54 ++++++++++++++++++-------------------
 2 files changed, 54 insertions(+), 54 deletions(-)

diff --git a/media-sound/lmms/lmms-1.1.90.ebuild b/media-sound/lmms/lmms-1.1.90.ebuild
index 9fb0ae7c9eb..ee2e0167921 100644
--- a/media-sound/lmms/lmms-1.1.90.ebuild
+++ b/media-sound/lmms/lmms-1.1.90.ebuild
@@ -3,14 +3,13 @@
 
 EAPI=6
 
-inherit eutils cmake-utils
+inherit cmake-utils
 
 DESCRIPTION="Cross-platform music production software"
 HOMEPAGE="https://lmms.io"
 if [[ ${PV} == "9999" ]]; then
 	EGIT_REPO_URI="https://github.com/LMMS/lmms.git"
 	inherit git-r3
-	KEYWORDS=""
 else
 	SRC_URI="https://github.com/LMMS/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 	KEYWORDS="~amd64 ~x86"
@@ -19,17 +18,11 @@ fi
 LICENSE="GPL-2 LGPL-2"
 SLOT="0"
 
-IUSE="alsa debug fluidsynth jack libgig ogg portaudio pulseaudio qt5 sdl soundio
-	stk vst"
+IUSE="alsa debug fluidsynth jack libgig ogg portaudio pulseaudio sdl soundio stk vst"
 
-RDEPEND="qt5? (
-		dev-qt/qtcore:5
-		dev-qt/qtgui:5
-	)
-	!qt5? (
-		dev-qt/qtcore:4
-		dev-qt/qtgui:4[accessibility]
-	)
+COMMON_DEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
 	>=media-libs/libsamplerate-0.1.8
 	>=media-libs/libsndfile-1.0.11
 	sci-libs/fftw:3.0
@@ -39,29 +32,36 @@ RDEPEND="qt5? (
 	fluidsynth? ( media-sound/fluidsynth )
 	jack? ( virtual/jack )
 	libgig? ( media-libs/libgig )
-	ogg? ( media-libs/libvorbis
-		media-libs/libogg )
+	ogg? (
+		media-libs/libogg
+		media-libs/libvorbis
+	)
 	portaudio? ( >=media-libs/portaudio-19_pre )
 	pulseaudio? ( media-sound/pulseaudio )
-	sdl? ( media-libs/libsdl
-		>=media-libs/sdl-sound-1.0.1 )
+	sdl? (
+		media-libs/libsdl
+		>=media-libs/sdl-sound-1.0.1
+	)
 	soundio? ( media-libs/libsoundio )
 	stk? ( media-libs/stk )
-	vst? ( || ( app-emulation/wine virtual/wine ) )"
-DEPEND="${RDEPEND}
-	qt5? ( dev-qt/linguist-tools:5 )
-	>=dev-util/cmake-2.4.5"
-RDEPEND="${RDEPEND}
-	media-plugins/swh-plugins
+	vst? ( || ( app-emulation/wine virtual/wine ) )
+"
+DEPEND="${COMMON_DEPEND}
+	dev-qt/linguist-tools:5
+	>=dev-util/cmake-2.4.5
+"
+RDEPEND="${COMMON_DEPEND}
+	media-libs/ladspa-cmt
+	media-plugins/calf
 	media-plugins/caps-plugins
+	media-plugins/swh-plugins
 	media-plugins/tap-plugins
-	media-plugins/calf
-	media-libs/ladspa-cmt"
+"
 
-DOCS=(README.md doc/AUTHORS)
+DOCS=( README.md doc/AUTHORS )
 
 src_configure() {
-	mycmakeargs+=(
+	local mycmakeargs+=(
 		-DUSE_WERROR=FALSE
 		-DWANT_SYSTEM_SR=TRUE
 		-DWANT_CAPS=FALSE
@@ -69,6 +69,7 @@ src_configure() {
 		-DWANT_SWH=FALSE
 		-DWANT_CMT=FALSE
 		-DWANT_CALF=FALSE
+		-DWANT_QT5=TRUE
 		-DCMAKE_INSTALL_LIBDIR=$(get_libdir)
 		-DWANT_ALSA=$(usex alsa)
 		-DWANT_JACK=$(usex jack)
@@ -76,7 +77,6 @@ src_configure() {
 		-DWANT_OGGVORBIS=$(usex ogg)
 		-DWANT_PORTAUDIO=$(usex portaudio)
 		-DWANT_PULSEAUDIO=$(usex pulseaudio)
-		-DWANT_QT5=$(usex qt5)
 		-DWANT_SDL=$(usex sdl)
 		-DWANT_SOUNDIO=$(usex soundio)
 		-DWANT_STK=$(usex stk)

diff --git a/media-sound/lmms/lmms-9999.ebuild b/media-sound/lmms/lmms-9999.ebuild
index 9fb0ae7c9eb..ee2e0167921 100644
--- a/media-sound/lmms/lmms-9999.ebuild
+++ b/media-sound/lmms/lmms-9999.ebuild
@@ -3,14 +3,13 @@
 
 EAPI=6
 
-inherit eutils cmake-utils
+inherit cmake-utils
 
 DESCRIPTION="Cross-platform music production software"
 HOMEPAGE="https://lmms.io"
 if [[ ${PV} == "9999" ]]; then
 	EGIT_REPO_URI="https://github.com/LMMS/lmms.git"
 	inherit git-r3
-	KEYWORDS=""
 else
 	SRC_URI="https://github.com/LMMS/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 	KEYWORDS="~amd64 ~x86"
@@ -19,17 +18,11 @@ fi
 LICENSE="GPL-2 LGPL-2"
 SLOT="0"
 
-IUSE="alsa debug fluidsynth jack libgig ogg portaudio pulseaudio qt5 sdl soundio
-	stk vst"
+IUSE="alsa debug fluidsynth jack libgig ogg portaudio pulseaudio sdl soundio stk vst"
 
-RDEPEND="qt5? (
-		dev-qt/qtcore:5
-		dev-qt/qtgui:5
-	)
-	!qt5? (
-		dev-qt/qtcore:4
-		dev-qt/qtgui:4[accessibility]
-	)
+COMMON_DEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
 	>=media-libs/libsamplerate-0.1.8
 	>=media-libs/libsndfile-1.0.11
 	sci-libs/fftw:3.0
@@ -39,29 +32,36 @@ RDEPEND="qt5? (
 	fluidsynth? ( media-sound/fluidsynth )
 	jack? ( virtual/jack )
 	libgig? ( media-libs/libgig )
-	ogg? ( media-libs/libvorbis
-		media-libs/libogg )
+	ogg? (
+		media-libs/libogg
+		media-libs/libvorbis
+	)
 	portaudio? ( >=media-libs/portaudio-19_pre )
 	pulseaudio? ( media-sound/pulseaudio )
-	sdl? ( media-libs/libsdl
-		>=media-libs/sdl-sound-1.0.1 )
+	sdl? (
+		media-libs/libsdl
+		>=media-libs/sdl-sound-1.0.1
+	)
 	soundio? ( media-libs/libsoundio )
 	stk? ( media-libs/stk )
-	vst? ( || ( app-emulation/wine virtual/wine ) )"
-DEPEND="${RDEPEND}
-	qt5? ( dev-qt/linguist-tools:5 )
-	>=dev-util/cmake-2.4.5"
-RDEPEND="${RDEPEND}
-	media-plugins/swh-plugins
+	vst? ( || ( app-emulation/wine virtual/wine ) )
+"
+DEPEND="${COMMON_DEPEND}
+	dev-qt/linguist-tools:5
+	>=dev-util/cmake-2.4.5
+"
+RDEPEND="${COMMON_DEPEND}
+	media-libs/ladspa-cmt
+	media-plugins/calf
 	media-plugins/caps-plugins
+	media-plugins/swh-plugins
 	media-plugins/tap-plugins
-	media-plugins/calf
-	media-libs/ladspa-cmt"
+"
 
-DOCS=(README.md doc/AUTHORS)
+DOCS=( README.md doc/AUTHORS )
 
 src_configure() {
-	mycmakeargs+=(
+	local mycmakeargs+=(
 		-DUSE_WERROR=FALSE
 		-DWANT_SYSTEM_SR=TRUE
 		-DWANT_CAPS=FALSE
@@ -69,6 +69,7 @@ src_configure() {
 		-DWANT_SWH=FALSE
 		-DWANT_CMT=FALSE
 		-DWANT_CALF=FALSE
+		-DWANT_QT5=TRUE
 		-DCMAKE_INSTALL_LIBDIR=$(get_libdir)
 		-DWANT_ALSA=$(usex alsa)
 		-DWANT_JACK=$(usex jack)
@@ -76,7 +77,6 @@ src_configure() {
 		-DWANT_OGGVORBIS=$(usex ogg)
 		-DWANT_PORTAUDIO=$(usex portaudio)
 		-DWANT_PULSEAUDIO=$(usex pulseaudio)
-		-DWANT_QT5=$(usex qt5)
 		-DWANT_SDL=$(usex sdl)
 		-DWANT_SOUNDIO=$(usex soundio)
 		-DWANT_STK=$(usex stk)


             reply	other threads:[~2017-09-26  0:54 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-09-26  0:54 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-26 17:50 [gentoo-commits] repo/gentoo:master commit in: media-sound/lmms/ Ionen Wolkens
2024-07-31 21:18 Eli Schwartz
2024-07-31 21:18 Eli Schwartz
2024-06-25 10:57 Miroslav Šulc
2024-06-25 10:55 Miroslav Šulc
2024-06-24  7:13 Miroslav Šulc
2024-03-07 23:24 Andreas Sturmlechner
2024-03-07 11:51 Sam James
2024-03-07 11:51 Sam James
2023-05-29 13:11 Andreas Sturmlechner
2021-04-14  8:24 Lars Wendler
2021-04-14  8:24 Lars Wendler
2020-08-11 14:23 Agostino Sarubbo
2020-08-10 13:09 Agostino Sarubbo
2020-07-21  9:33 Agostino Sarubbo
2020-07-20  6:42 Agostino Sarubbo
2020-07-05 20:29 Lars Wendler
2020-06-13  8:48 Miroslav Šulc
2019-11-15  0:36 Andreas Sturmlechner
2019-10-21 11:59 Lars Wendler
2019-10-21 11:59 Lars Wendler
2019-06-11 11:12 Lars Wendler
2019-04-11  9:21 Lars Wendler
2019-03-31 10:47 Andreas Sturmlechner
2019-03-13 14:31 Lars Wendler
2019-03-13 14:31 Lars Wendler
2019-01-09 11:52 Andreas Sturmlechner
2018-08-14  8:42 Lars Wendler
2018-01-06 22:54 Mikle Kolyada
2017-12-13 21:37 NP Hardass
2017-11-30 21:40 Lars Wendler
2017-11-30 21:40 Lars Wendler
2017-10-13 21:07 Jonas Stein
2017-09-26  0:54 Andreas Sturmlechner
2017-09-21  0:56 NP Hardass
2017-08-01 14:08 Amy Liffey
2017-05-05 13:27 Lars Wendler
2017-04-08  9:23 Alexis Ballier
2016-12-29 15:05 Alexis Ballier
2016-03-07 18:50 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1506387013.24fbf89366fd2cd994e6ca46b58565783d8b0199.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox